org.eclipse.emf.cdo.spi.server

## Interface IAuthenticationProtocol

- All Known Subinterfaces:
    ISessionProtocol

      public interface IAuthenticationProtocol

  Since:
    4.3
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DiffieHellman.Client.Response` | `sendAuthenticationChallenge(DiffieHellman.Server.Challenge challenge)` Sends a challenge to the client to authenticate the user attempting to or already connected.
    `DiffieHellman.Client.Response` | `sendCredentialsChallenge(DiffieHellman.Server.Challenge challenge, java.lang.String userID, CredentialsUpdateOperation operation)` Sends a challenge to the client to change the authenticated user's credentials.

- - ### Method Detail

    - #### sendAuthenticationChallenge

          DiffieHellman.Client.Response sendAuthenticationChallenge(DiffieHellman.Server.Challenge challenge)
                                                             throws java.lang.Exception

      Sends a challenge to the client to authenticate the user attempting to or already connected.
      Throws:
        `java.lang.Exception`
      Since:
        4.2

    - #### sendCredentialsChallenge

          DiffieHellman.Client.Response sendCredentialsChallenge(DiffieHellman.Server.Challenge challenge,
                                                                 java.lang.String userID,
                                                                 CredentialsUpdateOperation operation)
                                                          throws java.lang.Exception

      Sends a challenge to the client to change the authenticated user's credentials. This is an optional operation; implementators may simply throw `UnsupportedOperationException`.
      Throws:
        `java.lang.UnsupportedOperationException` - if credentials change is not supported
        `java.lang.Exception`
      Since:
        4.3

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html